# std::experimental::pmr::polymorphic_allocator::destroy

From cppreference.com
< cpp‎ | experimental‎ | polymorphic allocator

template<class U> void destroy(U* p); |  | (library fundamentals TS)

Destroys the object pointed to by `p`, as if by calling p->~U().

### Parameters

p | - | pointer to the object being destroyed

### See also

destroy [static] | destructs an object stored in the allocated storage (function template)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/polymorphic_allocator/destroy&oldid=82198"